//
// Project UnReality: The First Nintendo 64 Emulator
// Copyright (C) 1997-1998, Cold Fusion Entertainment
// All rights reserved
//
// This source code is unpublished propietary information of Cold Fusion Entertainment.  No portion of this software
// may be disclosed to any third party or copied or duplicated in any form, in whole or in part, without the prior
// written consent of Cold Fusion Entertainment.
// 

//
// $Log: CFB.H $
// Revision 1.3  1998/03/08 19:12:25  BREAKPOINT
// Version 0.3b.3 checkin... I need to really check this stuff in more often..
// Revision 1.2  1998/01/31 19:54:04  BREAKPOINT
// New MMIO code changes...
// Revision 1.1  1998/01/10 01:25:00  BREAKPOINT
// Initial revision
//

//---------------------------------------------------------------------------------------------------------------------

#ifndef CFB_H
#define CFB_H

extern bool CFB_Blank;
extern uint CFB_Xsize, CFB_Ysize, CFB_BitDepth;

bool CFB_Init(void);
void CFB_Deinit(void);

void CFB_Reset(void);
void CFB_BitDepth_Change(uint depth);
void CFB_Resolution_Change(uint width);
void CFB_Origin_Change(ulong addr);
void CFB_Flush(void);

void _cdecl CFB_FlipMode(void);

bool CFB_StartSyncThread(void);
void CFB_StopSyncThread(void);

#endif
